Get all device configurations
GET
/devices
const url = 'https://antimony.example.com/api/devices';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://antimony.example.com/api/devices \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
payload
Array<object>
object
images
Array<string>
interfaces
Interfaces name the same interfaces, new interfaces are named after the first one
Array<object>
object
pattern
string
start
integer
kind
string
kindAliases
KindAliases are the other names containerlab accepts for the kind, e.g. srl
Array<string>
name
string
Example generated
{ "payload": [ { "images": [ "example" ], "interfaces": [ { "pattern": "example", "start": 1 } ], "kind": "example", "kindAliases": [ "example" ], "name": "example" } ]}The user isn’t authorized
Media typeapplication/json
The user doesn’t have access to the resource
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json